Debian Bug report logs - #615978
dvd+rw-tools: While burning ISO Multisession BD-R 50G growisofs reports no space left while 24G+ are available

version graph

Package: dvd+rw-tools; Maintainer for dvd+rw-tools is Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>; Source for dvd+rw-tools is src:dvd+rw-tools.

Reported by: michael.herscheid@positix.de

Date: Tue, 1 Mar 2011 14:03:05 UTC

Severity: important

Found in version dvd+rw-tools/7.1-6

Fixed in version dvd+rw-tools/7.1-10

Done: Rogério Brito <rbrito@ime.usp.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Tue, 01 Mar 2011 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael.herscheid@positix.de:
New Bug report received and forwarded. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 01 Mar 2011 14:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: michael <michael.herscheid@positix.de>
To: submit@bugs.debian.org
Subject: dvd+rw-tools: While burning ISO Multisession BD-R 50G growisofs reports no space left while 24G+ are available
Date: Tue, 01 Mar 2011 15:01:40 +0100
Package: dvd+rw-tools
Version: 7.1-6
Severity: important

  We're using growisofs to write BD-R 50G media (iso-level 4 multisession).

  When a couple of sessions are written and the amount of data is above 
25G, growisofs (here: writting 5 files a 1G) fails with error message 
'No space left on device' reporting an negativ count of blocks available 
(see below). dvd+rw-mediainfo reports enough space left.

  When using option overburn, media will be written correctly and data 
could be verified successfully.

  IMHO this should be done without option overburn, because when at 
real end of media reached, using the option overburn may be harmful.

 For further data and further tests required please ask.

  regards,

    michael herscheid

Additional Infos :

error message:

Warning: Creating ISO-9660:1999 (version 2) filesystem.
Warning: ISO-9660 filenames longer than 31 may cause buffer overflows in 
the OS.

Rock Ridge signatures found
:-( /dev/sr3: -1908864 blocks are free, 2621622 to be written!
:-( write failed: No space left on device

dvd+rw-media :

<snip>
READ TRACK INFORMATION[#6]:
 Track State:           invisible incremental
 Track Start Address:   13108288*2KB
 Next Writable Address: 13108288*2KB
 Free Blocks:           11199424*2KB
 Track Size:            11199424*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@24307712
 Multi-session Info:    #1@0
READ CAPACITY:          24307712*2048=49782194176
</snip>

Within file growisofs.c line 2424 (if (capacity && (outoff+tracksize) > 
capacity)) these values reported are :

 capacity  : 22936420352
 outoff    : 26845773824
 tracksize : 5369081856

 the check fails and reports an negative result.

The scsi command call (strace) seems to be correct :

ioctl(6, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 
06, 00, 00, 20, 00],
      mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3,
      data[32]=["\0&\6\1\0\4a\1\0\310\4@\0\310\4@\0\252\343\300\0\0\0 
\0\252\343\300\0\0\0\0"],
      status=00, masked_status=00, sb[0]=[], host_status=0, 
driver_status=0, resid=0, duration=4, info=0}) = 0

SCSI Call :

  cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 20, 00]
  52              READ TRACK INFORMATION
  01              Open false, LTN Flag (Logical Track number)
  00, 00, 00, 06, Get Infos for Track 6
  00              Reserved
  00, 20,         32 bytes Additional Length
                  Track Information Block bytes
  00              Control Byte

SCSI Response :


data[32]=["\x00\x26\x06\x01\x00\x04\x61\x01\x00\xc8\x04\x40\x00\xc8\x04\x40\x00\xaa\xe3\xc0\x00\x00\x00\x20\x00\xaa\xe3\xc0\x00\x00\x00\x00"]

        Free Blocks from 16 to 19 : \x00 \xaa \xe3 \xc0
        Free Blocks               : 11199424
        dvd+rw-mediainfo reports  : 11199424 (22936420352)

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dvd+rw-tools depends on:
ii  genisoimage                   9:1.1.11-1 Creates ISO-9660 CD-ROM 
filesystem
ii  libc6                         2.11.2-10  Embedded GNU C Library: 
Shared lib
ii  libgcc1                       1:4.4.5-8  GCC support library
ii  libstdc++6                    4.4.5-8    The GNU Standard C++ Library v3

dvd+rw-tools recommends no packages.

Versions of packages dvd+rw-tools suggests:
pn  cdrskin                       <none>     (no description available)

-- no debconf information

-- 

_______________________________________
      Firma: positix GmbH
    Adresse: Marie-Curie-Str. 1
             53359 Rheinbach

      Phone: +49 2226 871060
      eMail: michael.herscheid@positix.de
        Web: http://www.positix.de

           Sitz: Rheinbach
Registergericht: Bonn, HRB 15214
    Geschäftsf.: Wiljo Robertz
_______________________________________

Legal Notice: The information transmitted by this E-mail may contain
confidential or privileged material and may constitute non-public
information. This E-mail is intended to be conveyed, read and viewed only to
the designated addressee(s). If you are not a designated
addressee(s) of this E-mail please do not read, copy, print, use or disclose
this communication. Immediately notify/contact the sender and delete this
E-mail, addressee(s) and all attachments from your computer. Any review,
retransmission, dissemination or other use of, or taking of any action in
reliance upon, this E-mail or its attachments by persons or entities other
than the designated address is strictly prohibited and may be unlawful.




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Tue, 01 Mar 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael.herscheid@positix.de:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 01 Mar 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 615978@bugs.debian.org (full text, mbox):

From: michael <michael.herscheid@positix.de>
To: 615978@bugs.debian.org
Subject: Bug#615978: Acknowledgement (dvd+rw-tools: While burning ISO Multisession BD-R 50G growisofs reports no space left while 24G+ are available)
Date: Tue, 01 Mar 2011 15:15:14 +0100
[Message part 1 (text/plain, inline)]
Hi there,

  some more infos :

   error-message	error message yield by growisofs
   burned-3.status      dvd+rw-mediainfo before error
   burned-4.status      dvd+rw-mediainfo after error
   scsi-command.txt     scsi command call (read track info)
   strace-x.txt		strace hex
   strace.txt		strace

Command used :

  optmagic=" "
  optfsiso=" -iso-level 4 -R -input-charset iso8859-2 -output-charset 
iso8859-2"
  optvolume=" -V 0000"
  command=/usr/bin/growisofs
  device=/dev/sr3
  switch=" -M"
  folder=burn

result=$($command $optmagic $switch $device $optfsiso $optvolume $folder)

  regards,

    michael
-- 

_______________________________________
      Firma: positix GmbH
    Adresse: Marie-Curie-Str. 1
             53359 Rheinbach

      Phone: +49 2226 871060
      eMail: michael.herscheid@positix.de
        Web: http://www.positix.de

           Sitz: Rheinbach
Registergericht: Bonn, HRB 15214
    Geschäftsf.: Wiljo Robertz
_______________________________________

Legal Notice: The information transmitted by this E-mail may contain
confidential or privileged material and may constitute non-public
information. This E-mail is intended to be conveyed, read and viewed only to
the designated addressee(s). If you are not a designated
addressee(s) of this E-mail please do not read, copy, print, use or disclose
this communication. Immediately notify/contact the sender and delete this
E-mail, addressee(s) and all attachments from your computer. Any review,
retransmission, dissemination or other use of, or taking of any action in
reliance upon, this E-mail or its attachments by persons or entities other
than the designated address is strictly prohibited and may be unlawful.
[error-message (text/plain, inline)]
Warning: Creating ISO-9660:1999 (version 2) filesystem.
Warning: ISO-9660 filenames longer than 31 may cause buffer overflows in the OS.
Rock Ridge signatures found
:-( /dev/sr3: -1908864 blocks are free, 2621622 to be written!
:-( write failed: No space left on device

[burned-3.status (text/plain, inline)]
INQUIRY:                [MATSHITA][BD-MLT SW-5583  ][1.00]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         41h, BD-R SRM+POW
 Media ID:              TDKBLD/RFB
 Current Write Speed:   4.0x4495=17983KB/s
 Write Speed #0:        4.0x4495=17983KB/s
 Write Speed #1:        2.0x4495=8991KB/s
 Speed Descriptor#0:    01/24307711 R@4.0x4495=17983KB/s W@4.0x4495=17983KB/s
 Speed Descriptor#1:    01/24307711 R@2.0x4495=8991KB/s W@2.0x4495=8991KB/s
BD SPARE AREA INFORMATION:
 Spare Area:            65536/65536=100.0% free
POW RESOURCES INFORMATION:
 Remaining Replacements:16844064
 Remaining Map Entries: 0
 Remaining Updates:     0
READ DISC INFORMATION:
 Disc status:           appendable
 Number of Sessions:    1
 State of Last Session: incomplete
 "Next" Track:          1
 Number of Tracks:      5
READ TRACK INFORMATION[#1]:
 Track State:           partial incremental
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            2621632*2KB
READ TRACK INFORMATION[#2]:
 Track State:           partial incremental
 Track Start Address:   2621632*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#3]:
 Track State:           partial incremental
 Track Start Address:   5243296*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#4]:
 Track State:           partial incremental
 Track Start Address:   7864960*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#5]:
 Track State:           invisible incremental
 Track Start Address:   10486624*2KB
 Next Writable Address: 10486624*2KB
 Free Blocks:           13821088*2KB
 Track Size:            13821088*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@24307712
 Multi-session Info:    #1@0
READ CAPACITY:          24307712*2048=49782194176
[burned-4.status (text/plain, inline)]
INQUIRY:                [MATSHITA][BD-MLT SW-5583  ][1.00]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         41h, BD-R SRM+POW
 Media ID:              TDKBLD/RFB
 Current Write Speed:   4.0x4495=17983KB/s
 Write Speed #0:        4.0x4495=17983KB/s
 Write Speed #1:        2.0x4495=8991KB/s
 Speed Descriptor#0:    01/24307711 R@4.0x4495=17983KB/s W@4.0x4495=17983KB/s
 Speed Descriptor#1:    01/24307711 R@2.0x4495=8991KB/s W@2.0x4495=8991KB/s
BD SPARE AREA INFORMATION:
 Spare Area:            65536/65536=100.0% free
POW RESOURCES INFORMATION:
 Remaining Replacements:16844320
 Remaining Map Entries: 0
 Remaining Updates:     0
READ DISC INFORMATION:
 Disc status:           appendable
 Number of Sessions:    1
 State of Last Session: incomplete
 "Next" Track:          1
 Number of Tracks:      6
READ TRACK INFORMATION[#1]:
 Track State:           partial incremental
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            2621632*2KB
READ TRACK INFORMATION[#2]:
 Track State:           partial incremental
 Track Start Address:   2621632*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#3]:
 Track State:           partial incremental
 Track Start Address:   5243296*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#4]:
 Track State:           partial incremental
 Track Start Address:   7864960*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#5]:
 Track State:           partial incremental
 Track Start Address:   10486624*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#6]:
 Track State:           invisible incremental
 Track Start Address:   13108288*2KB
 Next Writable Address: 13108288*2KB
 Free Blocks:           11199424*2KB
 Track Size:            11199424*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@24307712
 Multi-session Info:    #1@0
READ CAPACITY:          24307712*2048=49782194176
[scsi-command.txt (text/plain, inline)]
ioctl(6, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 20, 00], 
      mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3, 
      data[32]=["\0&\6\1\0\4a\1\0\310\4@\0\310\4@\0\252\343\300\0\0\0 \0\252\343\300\0\0\0\0"], 
      status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0

SCSI Call :

  cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 20, 00]
  52		  READ TRACK INFORMATION
  01		  Open false, LTN Flag (Logical Track number)
  00, 00, 00, 06, Get Infos for Track 6
  00 		  Reserved
  00, 20, 	  32 bytes Additional Length
		  Track Information Block bytes 
  00		  Control Byte

SCSI Response :

  data[32]=["\0&\6\1\0\4a\1\0\310\4@\0\310\4@\0\252\343\300\0\0\0 \0\252\343\300\0\0\0\0"]
             00  01  02  03  04  05  06  07  08  09  10  11  12  13  14  15  16  17  18  19  20  21  22  23  24  25  26  27  28  29  30  31
  data[32]=["\x00\x26\x06\x01\x00\x04\x61\x01\x00\xc8\x04\x40\x00\xc8\x04\x40\x00\xaa\xe3\xc0\x00\x00\x00\x20\x00\xaa\xe3\xc0\x00\x00\x00\x00"]
  	Free Blocks from 16 to 19 : \x00 \xaa \xe3 \xc0
	Free Blocks               : 11199424
	dvd+rw-mediainfo reports  : 11199424



[strace-x.txt (text/plain, inline)]
execve("/usr/bin/growisofs", ["/usr/bin/growisofs", "-use-the-force-luke=4gms", "-use-the-force-luke=tty", "-M", "/dev/sr3", "-iso-level", "4", "-R", "-input-charset", "iso8859-2", "-output-charset", "iso8859-2", "-V", "0000", "burn"], [/* 18 vars */]) = 0
brk(0)                                  = 0x963000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe9000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=15233, ...}) = 0
mmap(NULL, 15233, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f829dfe5000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libpthread.so.0", O_RDONLY)  = 3
read(3, "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x3e\x00\x01\x00\x00\x00\xe0\x59\x00\x00\x00\x00\x00\x00"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=131260, ...}) = 0
mmap(NULL, 2208640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f829dbb2000
mprotect(0x7f829dbc9000, 2093056, PROT_NONE) = 0
mmap(0x7f829ddc8000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f829ddc8000
mmap(0x7f829ddca000, 13184, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f829ddca000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/libstdc++.so.6", O_RDONLY) = 3
read(3, "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x3e\x00\x01\x00\x00\x00\x50\xa3\x05\x00\x00\x00\x00\x00"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1043976, ...}) = 0
mmap(NULL, 3223576, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f829d89e000
mprotect(0x7f829d994000, 2097152, PROT_NONE) = 0
mmap(0x7f829db94000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf6000) = 0x7f829db94000
mmap(0x7f829db9d000, 81944, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f829db9d000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libm.so.6", O_RDONLY)        = 3
read(3, "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x3e\x00\x01\x00\x00\x00\xf0\x3e\x00\x00\x00\x00\x00\x00"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=530736, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe4000
mmap(NULL, 2625768, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f829d61c000
mprotect(0x7f829d69c000, 2097152, PROT_NONE) = 0
mmap(0x7f829d89c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x80000) = 0x7f829d89c000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libgcc_s.so.1", O_RDONLY)    = 3
read(3, "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x3e\x00\x01\x00\x00\x00\x50\x2d\x00\x00\x00\x00\x00\x00"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=90504, ...}) = 0
mmap(NULL, 2186232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f829d406000
mprotect(0x7f829d41c000, 2093056, PROT_NONE) = 0
mmap(0x7f829d61b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x7f829d61b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x3e\x00\x01\x00\x00\x00\x60\xed\x01\x00\x00\x00\x00\x00"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1432968, ...}) = 0
mmap(NULL, 3541032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f829d0a5000
mprotect(0x7f829d1fd000, 2093056, PROT_NONE) = 0
mmap(0x7f829d3fc000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x157000) = 0x7f829d3fc000
mmap(0x7f829d401000, 18472, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f829d401000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe3000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe1000
arch_prctl(ARCH_SET_FS, 0x7f829dfe1720) = 0
mprotect(0x7f829d3fc000, 16384, PROT_READ) = 0
mprotect(0x7f829d89c000, 4096, PROT_READ) = 0
mprotect(0x7f829db94000, 28672, PROT_READ) = 0
mprotect(0x7f829ddc8000, 4096, PROT_READ) = 0
mprotect(0x7f829dfeb000, 4096, PROT_READ) = 0
munmap(0x7f829dfe5000, 15233)           = 0
set_tid_address(0x7f829dfe19f0)         = 1533
set_robust_list(0x7f829dfe1a00, 0x18)   = 0
futex(0x7fffb74d4c3c, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7fffb74d4c3c, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 1, NULL, 7f829dfe1720) = -1 EAGAIN (Resource temporarily unavailable)
rt_sigaction(SIGRTMIN, {0x7f829dbb7860, [], SA_RESTORER|SA_SIGINFO, 0x7f829dbc0f60}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x7f829dbb78f0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7f829dbc0f60}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
uname({sys="Linux", node="squexplorer", ...}) = 0
getpriority(PRIO_PROCESS, 0)            = 20
setpriority(PRIO_PROCESS, 0, 4294967276) = 0
getpriority(PRIO_PROCESS, 0)            = 40
getrlimit(RLIMIT_MEMLOCK, {rlim_cur=64*1024, rlim_max=64*1024}) = 0
setrlimit(RLIMIT_MEMLOCK, {rlim_cur=49152*1024, rlim_max=49152*1024}) = 0
mlockall(MCL_CURRENT|MCL_FUTURE)        = 0
brk(0)                                  = 0x963000
brk(0x984000)                           = 0x984000
getuid()                                = 0
open("/dev/sr3", O_RDONLY)              = 3
fstat(3, {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 3), ...}) = 0
open("/dev/sr3", O_RDWR|O_NONBLOCK)     = 4
fstat(4, {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 3), ...}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 00, 00, 00, 24, 00], mx_sb_len=64, iovec_count=0, dxfer_len=36, timeout=0, flags=0x3, data[36]=["\x05\x80\x05\x32\x5b\x00\x00\x00\x4d\x41\x54\x53\x48\x49\x54\x41\x42\x44\x2d\x4d\x4c\x54\x20\x53\x57\x2d\x35\x35\x38\x33\x20\x20"...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[46, 00, 00, 00, 00, 00, 00, 00, 08, 00], mx_sb_len=64, iovec_count=0, dxfer_len=8, timeout=0, flags=0x3, data[8]=["\x00\x00\x01\xcc\x00\x00\x00\x41"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[46, 02, 00, 38, 00, 00, 00, 00, 10, 00], mx_sb_len=64, iovec_count=0, dxfer_len=16, timeout=0, flags=0x3, data[16]=["\x00\x00\x00\x0c\x00\x00\x00\x41\x00\x38\x01\x04\x00\x00\x00\x00"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[51, 00, 00, 00, 00, 00, 00, 00, 20, 00], mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3, data[32]=["\x00\x20\x05\x01\x01\x01\x06\x20\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
ioctl(4, CDROM_MEDIA_CHANGED, 0x7fffffff) = 1
dup(4)                                  = 5
ioctl(4, CDROMAUDIOBUFSIZ or SCSI_IOCTL_GET_IDLUN, 0x7fffb74d4710) = 0
open("/proc/scsi/sg/devices", O_RDONLY) = -1 ENOENT (No such file or directory)
getuid()                                = 0
setuid(0)                               = 0
pread(3, "\x01\x43\x44\x30\x30\x31\x01\x00\x4c\x49\x4e\x55\x58\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20"..., 2048, 32768) = 2048
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 24, 00], mx_sb_len=64, iovec_count=0, dxfer_len=36, timeout=0, flags=0x3, data[36]=["\x00\x26\x06\x01\x00\x04\x61\x01\x00\xc8\x04\x40\x00\xc8\x04\x40\x00\xaa\xe3\xc0\x00\x00\x00\x20\x00\xaa\xe3\xc0\x00\x00\x00\x00"...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
open("/proc/meminfo", O_RDONLY)         = 6
fstat(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe8000
read(6, "MemTotal:        2053076 kB\nMemF"..., 1024) = 1024
close(6)                                = 0
munmap(0x7f829dfe8000, 4096)            = 0
mmap(NULL, 33554432, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0) = 0x7f829b0a5000
fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f829dfe8000
write(1, "Executing 'genisoimage -C 16,131"..., 177) = 177
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fcntl(5, F_GETFD)                       = 0
fcntl(5, F_SETFD, FD_CLOEXEC)           = 0
fcntl(4, F_GETFD)                       = 0
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
pipe([6, 7])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f829dfe19f0) = 1534
close(7)                                = 0
fstat(6, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 20, 00], mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3, data[32]=["\x00\x26\x06\x01\x00\x04\x61\x01\x00\xc8\x04\x40\x00\xc8\x04\x40\x00\xaa\xe3\xc0\x00\x00\x00\x20\x00\xaa\xe3\xc0\x00\x00\x00\x00"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0
read(6, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"..., 65536) = 8192
read(6, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"..., 57344) = 28672
read(6, "\xff\x43\x44\x30\x30\x31\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"..., 28672) = 24576
read(6, "\x66\x00\x5e\x04\xc8\x00\x00\xc8\x04\x5e\x00\x08\x00\x00\x00\x00\x08\x00\x6f\x02\x1c\x0c\x1e\x30\x04\x02\x00\x00\x01\x00\x00\x01"..., 4096) = 4096
write(2, ":-( /dev/sr3: -1908864 blocks ar"..., 63) = 63
write(2, ":-( write failed: No space left "..., 42) = 42
exit_group(156)                         = ?
[strace.txt (text/plain, inline)]
execve("/usr/bin/growisofs", ["/usr/bin/growisofs", "-use-the-force-luke=4gms", "-use-the-force-luke=tty", "-M", "/dev/sr3", "-iso-level", "4", "-R", "-input-charset", "iso8859-2", "-output-charset", "iso8859-2", "-V", "0000", "burn"], [/* 18 vars */]) = 0
brk(0)                                  = 0x1d00000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb7b000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=15233, ...}) = 0
mmap(NULL, 15233, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f3a6cb77000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libpthread.so.0", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340Y\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=131260, ...}) = 0
mmap(NULL, 2208640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3a6c744000
mprotect(0x7f3a6c75b000, 2093056, PROT_NONE) = 0
mmap(0x7f3a6c95a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f3a6c95a000
mmap(0x7f3a6c95c000, 13184, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3a6c95c000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/libstdc++.so.6", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\243\5\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1043976, ...}) = 0
mmap(NULL, 3223576, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3a6c430000
mprotect(0x7f3a6c526000, 2097152, PROT_NONE) = 0
mmap(0x7f3a6c726000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf6000) = 0x7f3a6c726000
mmap(0x7f3a6c72f000, 81944, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3a6c72f000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libm.so.6", O_RDONLY)        = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360>\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=530736, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb76000
mmap(NULL, 2625768, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3a6c1ae000
mprotect(0x7f3a6c22e000, 2097152, PROT_NONE) = 0
mmap(0x7f3a6c42e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x80000) = 0x7f3a6c42e000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libgcc_s.so.1", O_RDONLY)    = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P-\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=90504, ...}) = 0
mmap(NULL, 2186232, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3a6bf98000
mprotect(0x7f3a6bfae000, 2093056, PROT_NONE) = 0
mmap(0x7f3a6c1ad000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x7f3a6c1ad000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\355\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1432968, ...}) = 0
mmap(NULL, 3541032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f3a6bc37000
mprotect(0x7f3a6bd8f000, 2093056, PROT_NONE) = 0
mmap(0x7f3a6bf8e000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x157000) = 0x7f3a6bf8e000
mmap(0x7f3a6bf93000, 18472, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f3a6bf93000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb75000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb73000
arch_prctl(ARCH_SET_FS, 0x7f3a6cb73720) = 0
mprotect(0x7f3a6bf8e000, 16384, PROT_READ) = 0
mprotect(0x7f3a6c42e000, 4096, PROT_READ) = 0
mprotect(0x7f3a6c726000, 28672, PROT_READ) = 0
mprotect(0x7f3a6c95a000, 4096, PROT_READ) = 0
mprotect(0x7f3a6cb7d000, 4096, PROT_READ) = 0
munmap(0x7f3a6cb77000, 15233)           = 0
set_tid_address(0x7f3a6cb739f0)         = 1550
set_robust_list(0x7f3a6cb73a00, 0x18)   = 0
futex(0x7fff15ea9d1c, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7fff15ea9d1c, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 1, NULL, 7f3a6cb73720) = -1 EAGAIN (Resource temporarily unavailable)
rt_sigaction(SIGRTMIN, {0x7f3a6c749860, [], SA_RESTORER|SA_SIGINFO, 0x7f3a6c752f60}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x7f3a6c7498f0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7f3a6c752f60}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
uname({sys="Linux", node="squexplorer", ...}) = 0
getpriority(PRIO_PROCESS, 0)            = 20
setpriority(PRIO_PROCESS, 0, 4294967276) = 0
getpriority(PRIO_PROCESS, 0)            = 40
getrlimit(RLIMIT_MEMLOCK, {rlim_cur=64*1024, rlim_max=64*1024}) = 0
setrlimit(RLIMIT_MEMLOCK, {rlim_cur=49152*1024, rlim_max=49152*1024}) = 0
mlockall(MCL_CURRENT|MCL_FUTURE)        = 0
brk(0)                                  = 0x1d00000
brk(0x1d21000)                          = 0x1d21000
getuid()                                = 0
open("/dev/sr3", O_RDONLY)              = 3
fstat(3, {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 3), ...}) = 0
open("/dev/sr3", O_RDWR|O_NONBLOCK)     = 4
fstat(4, {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 3), ...}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 00, 00, 00, 24, 00], mx_sb_len=64, iovec_count=0, dxfer_len=36, timeout=0, flags=0x3, data[36]=["\5\200\0052[\0\0\0MATSHITABD-MLT SW-5583  "...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[46, 00, 00, 00, 00, 00, 00, 00, 08, 00], mx_sb_len=64, iovec_count=0, dxfer_len=8, timeout=0, flags=0x3, data[8]=["\0\0\1\314\0\0\0A"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[46, 02, 00, 38, 00, 00, 00, 00, 10, 00], mx_sb_len=64, iovec_count=0, dxfer_len=16, timeout=0, flags=0x3, data[16]=["\0\0\0\f\0\0\0A\0008\1\4\0\0\0\0"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[51, 00, 00, 00, 00, 00, 00, 00, 20, 00], mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3, data[32]=["\0 \5\1\1\1\6 \0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
ioctl(4, CDROM_MEDIA_CHANGED, 0x7fffffff) = 0
dup(4)                                  = 5
ioctl(4, CDROMAUDIOBUFSIZ or SCSI_IOCTL_GET_IDLUN, 0x7fff15ea97f0) = 0
open("/proc/scsi/sg/devices", O_RDONLY) = -1 ENOENT (No such file or directory)
getuid()                                = 0
setuid(0)                               = 0
pread(3, "\1CD001\1\0LINUX                   "..., 2048, 32768) = 2048
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 24, 00], mx_sb_len=64, iovec_count=0, dxfer_len=36, timeout=0, flags=0x3, data[36]=["\0&\6\1\0\4a\1\0\310\4@\0\310\4@\0\252\343\300\0\0\0 \0\252\343\300\0\0\0\0"...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=4, info=0}) = 0
open("/proc/meminfo", O_RDONLY)         = 6
fstat(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb7a000
read(6, "MemTotal:        2053076 kB\nMemF"..., 1024) = 1024
close(6)                                = 0
munmap(0x7f3a6cb7a000, 4096)            = 0
mmap(NULL, 33554432, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0) = 0x7f3a69c37000
fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3a6cb7a000
write(1, "Executing 'genisoimage -C 16,131"..., 177) = 177
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fcntl(5, F_GETFD)                       = 0
fcntl(5, F_SETFD, FD_CLOEXEC)           = 0
fcntl(4, F_GETFD)                       = 0
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
pipe([6, 7])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f3a6cb739f0) = 1551
close(7)                                = 0
fstat(6, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
ioctl(4, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[10]=[52, 01, 00, 00, 00, 06, 00, 00, 20, 00], mx_sb_len=64, iovec_count=0, dxfer_len=32, timeout=0, flags=0x3, data[32]=["\0&\6\1\0\4a\1\0\310\4@\0\310\4@\0\252\343\300\0\0\0 \0\252\343\300\0\0\0\0"], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
read(6, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 65536) = 8192
read(6, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 57344) = 28672
read(6, "\377CD001\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 28672) = 24576
read(6, "f\0^\4\310\0\0\310\4^\0\10\0\0\0\0\10\0o\2\34\f\0360\4\2\0\0\1\0\0\1"..., 4096) = 4096
write(2, ":-( /dev/sr3: -1908864 blocks ar"..., 63) = 63
write(2, ":-( write failed: No space left "..., 42) = 42
exit_group(156)                         = ?

Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Tue, 01 Mar 2011 15:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael.herscheid@positix.de:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 01 Mar 2011 15:54:13 GMT) Full text and rfc822 format available.

Message #15 received at 615978@bugs.debian.org (full text, mbox):

From: michael <michael.herscheid@positix.de>
To: 615978@bugs.debian.org
Subject: Error Message when 'real' end reached
Date: Tue, 01 Mar 2011 16:52:56 +0100
Hi,

 despite the fact using parameter overburn growisofs (or genisoimage) 
doesn't mess up the media when 'real' end of media is reached.

  here is the (incorrect) error message when trying to burn 5G when not 
enough space is available :

Warning: Creating ISO-9660:1999 (version 2) filesystem.
Warning: ISO-9660 filenames longer than 31 may cause buffer overflows in 
the OS.
Rock Ridge signatures found
Total translation table size: 0
Total rockridge attributes bytes: 5850
Total directory bytes: 19696
Path table size(bytes): 118
:-( /dev/sr3: -22882176 blocks are free, 185 to be written!
:-! ignoring...
Max brk space used 0
23595129 extents written (46084 MB)
/dev/sr3: "Current Write Speed" is 4.1x4390KBps.
/dev/sr3: flushing cache
/dev/sr3: copying volume descriptor(s)
/dev/sr3: flushing cache
/dev/sr3: closing track

  so i would degrate the bug but still would suggest to fix it.

dvd+rw-mediainfo :

INQUIRY:                [MATSHITA][BD-MLT SW-5583  ][1.00]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         41h, BD-R SRM+POW
 Media ID:              TDKBLD/RFB
 Current Write Speed:   4.0x4495=17983KB/s
 Write Speed #0:        4.0x4495=17983KB/s
 Write Speed #1:        2.0x4495=8991KB/s
 Speed Descriptor#0:    01/24307711 R@4.0x4495=17983KB/s 
W@4.0x4495=17983KB/s
 Speed Descriptor#1:    01/24307711 R@2.0x4495=8991KB/s W@2.0x4495=8991KB/s
BD SPARE AREA INFORMATION:
 Spare Area:            65536/65536=100.0% free
POW RESOURCES INFORMATION:
 Remaining Replacements:16845600
 Remaining Map Entries: 0
 Remaining Updates:     0
READ DISC INFORMATION:
 Disc status:           appendable
 Number of Sessions:    1
 State of Last Session: incomplete
 "Next" Track:          1
 Number of Tracks:      11
READ TRACK INFORMATION[#1]:
 Track State:           partial incremental
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            2621632*2KB
READ TRACK INFORMATION[#2]:
 Track State:           partial incremental
 Track Start Address:   2621632*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#3]:
 Track State:           partial incremental
 Track Start Address:   5243296*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#4]:
 Track State:           partial incremental
 Track Start Address:   7864960*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#5]:
 Track State:           partial incremental
 Track Start Address:   10486624*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#6]:
 Track State:           partial incremental
 Track Start Address:   13108288*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#7]:
 Track State:           partial incremental
 Track Start Address:   15729952*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#8]:
 Track State:           partial incremental
 Track Start Address:   18351616*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#9]:
 Track State:           partial incremental
 Track Start Address:   20973280*2KB
 Free Blocks:           0*2KB
 Track Size:            2621664*2KB
READ TRACK INFORMATION[#10]:
 Track State:           partial incremental
 Track Start Address:   23594944*2KB
 Free Blocks:           0*2KB
 Track Size:            224*2KB
READ TRACK INFORMATION[#11]:
 Track State:           invisible incremental
 Track Start Address:   23595168*2KB
 Next Writable Address: 23595168*2KB
 Free Blocks:           712544*2KB
 Track Size:            712544*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@24307712
 Multi-session Info:    #1@0
READ CAPACITY:          24307712*2048=49782194176

-- 

_______________________________________
      Firma: positix GmbH
    Adresse: Marie-Curie-Str. 1
             53359 Rheinbach

      Phone: +49 2226 871060
      eMail: michael.herscheid@positix.de
        Web: http://www.positix.de

           Sitz: Rheinbach
Registergericht: Bonn, HRB 15214
    Geschäftsf.: Wiljo Robertz
_______________________________________

Legal Notice: The information transmitted by this E-mail may contain
confidential or privileged material and may constitute non-public
information. This E-mail is intended to be conveyed, read and viewed only to
the designated addressee(s). If you are not a designated
addressee(s) of this E-mail please do not read, copy, print, use or disclose
this communication. Immediately notify/contact the sender and delete this
E-mail, addressee(s) and all attachments from your computer. Any review,
retransmission, dissemination or other use of, or taking of any action in
reliance upon, this E-mail or its attachments by persons or entities other
than the designated address is strictly prohibited and may be unlawful.




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Mon, 07 Mar 2011 11:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael.herscheid@positix.de:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Mon, 07 Mar 2011 11:00:04 GMT) Full text and rfc822 format available.

Message #20 received at 615978@bugs.debian.org (full text, mbox):

From: michael <michael.herscheid@positix.de>
To: 615978@bugs.debian.org
Subject: Pseudo OverWrite handling is inconvenient ?
Date: Mon, 07 Mar 2011 11:57:58 +0100
Hi there,

  the Pseudo Over Write (pow) BD-R feature is causing this behaviour.

The drive is asked, if it is capable to use POW. The nwa (Next Writeable 
Address) will not be used to calculate media capacity if the drive 
reports positive.

  Patch below.

  When the Remaining Blocks for track are calculated, the POW blocks 
won't be counted as writeable, so the remaining blocks are counted 
correctly.

  No strings attached ?

  regards,

    michael

--- growisofs_mmc.cpp.org       2008-03-04 18:47:49.000000000 +0100
+++ growisofs_mmc.cpp   2011-03-07 11:49:17.000000000 +0100
@@ -410,7 +410,7 @@
            }

            nwa = 0;
-           if (buf[7]&1 && !bdr_plus_pow)      // NWA_V
+           if (buf[7]&1)       // NWA_V
            {   nwa  = buf[12]<<24;
                nwa |= buf[13]<<16;
                nwa |= buf[14]<<8;








Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Mon, 07 Mar 2011 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Mon, 07 Mar 2011 15:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 615978@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: michael <michael.herscheid@positix.de>
Cc: 615978@bugs.debian.org
Subject: Re: Pseudo OverWrite handling is inconvenient ?
Date: Mon, 7 Mar 2011 12:15:46 -0300
Hi there, Michael.

On Mar 07 2011, michael wrote:
> Hi there,
> 
>   the Pseudo Over Write (pow) BD-R feature is causing this behaviour.
> 
> The drive is asked, if it is capable to use POW. The nwa (Next
> Writeable Address) will not be used to calculate media capacity if
> the drive reports positive.

Thank you very much for taking the time to debug this. I was thinking that
it could be some endianness problem, but you nailed it before me.

>   When the Remaining Blocks for track are calculated, the POW blocks
> won't be counted as writeable, so the remaining blocks are counted
> correctly.

As I don't have a Blu-ray device, could you, for documentation purposes,
print the values that you get with that specific image of the variables:

* capacity
* outoff
* tracksize

just before the check if overburn is enabled, in growisofs.c, function
builtin_dd?

>   No strings attached ?

The patch seems simple, but, perhaps, we shoud put a switch to control if we
should ignore the pseudo overwrite if we are writing the first session,
starting from a fresh medium?

Can you share your experiences here?


Thanks,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Reply sent to Rogério Brito <rbrito@ime.usp.br>:
You have taken responsibility. (Mon, 07 Mar 2011 16:06:05 GMT) Full text and rfc822 format available.

Notification sent to michael.herscheid@positix.de:
Bug acknowledged by developer. (Mon, 07 Mar 2011 16:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 615978-close@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: 615978-close@bugs.debian.org
Subject: Bug#615978: fixed in dvd+rw-tools 7.1-10
Date: Mon, 07 Mar 2011 16:02:33 +0000
Source: dvd+rw-tools
Source-Version: 7.1-10

We believe that the bug you reported is fixed in the latest version of
dvd+rw-tools, which is due to be installed in the Debian FTP archive:

dvd+rw-tools-dbg_7.1-10_i386.deb
  to main/d/dvd+rw-tools/dvd+rw-tools-dbg_7.1-10_i386.deb
dvd+rw-tools_7.1-10.debian.tar.bz2
  to main/d/dvd+rw-tools/dvd+rw-tools_7.1-10.debian.tar.bz2
dvd+rw-tools_7.1-10.dsc
  to main/d/dvd+rw-tools/dvd+rw-tools_7.1-10.dsc
dvd+rw-tools_7.1-10_i386.deb
  to main/d/dvd+rw-tools/dvd+rw-tools_7.1-10_i386.deb
growisofs_7.1-10_i386.deb
  to main/d/dvd+rw-tools/growisofs_7.1-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rogério Brito <rbrito@ime.usp.br> (supplier of updated dvd+rw-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Mar 2011 12:48:03 -0300
Source: dvd+rw-tools
Binary: growisofs dvd+rw-tools dvd+rw-tools-dbg
Architecture: source i386
Version: 7.1-10
Distribution: unstable
Urgency: low
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Changed-By: Rogério Brito <rbrito@ime.usp.br>
Description: 
 dvd+rw-tools - DVD+-RW/R tools
 dvd+rw-tools-dbg - DVD+-RW/R tools (debug)
 growisofs  - DVD+-RW/R recorder
Closes: 607605 615978
Changes: 
 dvd+rw-tools (7.1-10) unstable; urgency=low
 .
   * Add patch to fix grammar in manpage. Closes: #607605.
     Thanks Jon McManus <jon@acss.net.au>.
   * Ignore pseudo-overwrite response from Bluray devices. Closes: #615978.
Checksums-Sha1: 
 3b2c848d49eae1451c75392d443d069122359087 1411 dvd+rw-tools_7.1-10.dsc
 80a1ceec2b1531baf8a13533a4c6df09f42fd76e 23981 dvd+rw-tools_7.1-10.debian.tar.bz2
 73ba348159db2011eb2578b2b91b6fbca183cf0b 79242 growisofs_7.1-10_i386.deb
 bc6f542fa1f640129cfc422cc84f4043ffcf5ff5 99584 dvd+rw-tools_7.1-10_i386.deb
 f72b31d1f0e7a27331263f041e8fba81701b0737 189748 dvd+rw-tools-dbg_7.1-10_i386.deb
Checksums-Sha256: 
 f8e6567aff1353c2b672d6d21ad027dc13c976239af339e64d65adf69c448558 1411 dvd+rw-tools_7.1-10.dsc
 c817e9d51edf7163defb2a8a6063f1364e81dca497a0138c31c3a32cf1283b53 23981 dvd+rw-tools_7.1-10.debian.tar.bz2
 44f19a76ea19bbb43466ce44dc7c6f2fd95e164b7ed1cfdff751495caa0bc128 79242 growisofs_7.1-10_i386.deb
 caaf771ed1376c9da57046aecba31a9c6b90bcf3910d9b3954f14c3e007d756a 99584 dvd+rw-tools_7.1-10_i386.deb
 f7e7caf7ac664e7db33182c75cc3fc606199b0e6549126574209d9e650c49130 189748 dvd+rw-tools-dbg_7.1-10_i386.deb
Files: 
 a95355d9694322be5f196f936abdba10 1411 video optional dvd+rw-tools_7.1-10.dsc
 ff09cb4bdc5935679a80beb44af395bf 23981 video optional dvd+rw-tools_7.1-10.debian.tar.bz2
 7961e133715446d6b5c030f0418a3180 79242 video optional growisofs_7.1-10_i386.deb
 e8d1ee2007d8a97fbbd42276387c67ee 99584 video optional dvd+rw-tools_7.1-10_i386.deb
 1c2525011cea1cc891d6b19b3e1f9c45 189748 debug extra dvd+rw-tools-dbg_7.1-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk10/uYACgkQCFqbMnwsrrgJlgCg70mzNKmzHWPGnBnK/h2GTEkJ
EmUAn3Cgi37rFMrJHppI/QYxsNeD4Coe
=+JWE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#615978; Package dvd+rw-tools. (Tue, 08 Mar 2011 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael.herscheid@positix.de:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 08 Mar 2011 13:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 615978@bugs.debian.org (full text, mbox):

From: michael <michael.herscheid@positix.de>
To: 615978@bugs.debian.org
Subject: Additional information
Date: Tue, 08 Mar 2011 14:54:59 +0100
Hi Rogerio,

Sorry for nailing you down ! I suggested an overfow in the first place.

  Sharing experiences is cool, here are mine :

  We switched to BD-R several years ago, using growisofs to burn 
pregenerated pools of the correct size, burning them 'dao'.
  By request of a customer we been switching to multisession writting 
using dvd-r, also using growisofs.
  After switching to multisession we run into the error above.

  In the following testcase i use the same device (MATSHITA BD-MLT 
SW-5583 1.00) as in the previous tests, burning a folder with 5 blobs of 
1G each multiple times with different folder names.

  The informations for the blank media are in blank.info.

  Before taking any action, an growisofs -F /dev/sr2 has been called.

  The initial burn command line was :

    growisofs -Z /dev/sr2 -iso-level 4 -R -input-charset iso8859-2 
-output-charset iso8859-2 -overburn -V 0000 burn

  all following command lines read :

    growisofs -m /dev/sr2 -iso-level 4 -R -input-charset iso8859-2 
-output-charset iso8859-2 -overburn -V 0000 burn

  We using the patched growisofs added :

       fprintf (stderr," capacity  : %"LLD"\n", capacity);
       fprintf (stderr," outoff    : %"LLD"\n", outoff);
       fprintf (stderr," tracksize : %"LLD"\n", tracksize);

    at line 2397 (growisofs.c), before 'if (capacity && progress.final 
> capacity)' as you implied,

  and growisofs_mmc.cpp, line 426, after 'ret = nwa + free_blocks;'

        fprintf (stderr," nwa       : %lli\n", nwa);
        fprintf (stderr," free blks : %lli\n", free_blocks);
        fprintf (stderr," result    : %lli\n", ret);

  after command returned, dvd+rw-mediainfo been executed.

  To prevent my keybord from damage, the qad script burn-one.sh is used.

  I hope you could extract the information you needed from the files 
attached.

  In any other case : ask, you're welcome.

  Tomorrow i will do same without parameter overburn, so if you have 
any suggestions ...

  regards,

    michael

p.s.:

  for the first session :

    -F :
	next_session=0
	capacity=50050629632
	next_session=0
	capacity=50050629632

    -Z :
 	nwa       : 0
	free blks : 24438784
	result    : 24438784
	Warning: Creating ISO-9660:1999 (version 2) filesystem.
	Warning: ISO-9660 filenames longer than 31 may cause buffer overflows 
in the OS.
  	 0.19% done, estimate finish Tue Mar  8 10:45:08 2011
  	 0.38% done, estimate finish Tue Mar  8 10:45:08 2011
	<snip>

  for the second session :

    -F :
 	nwa       : 2621632
 	free blks : 21686080
	result    : 24307712
	next_session=5369102336
	capacity=49782194176

    -Z :
 	nwa       : 2621632
	free blks : 21686080
	result    : 24307712
	Warning: Creating ISO-9660:1999 (version 2) filesystem.
	ISO-9660 image includes checksum signature for correct inode numbers.
	SUSP signatures version 1 found
	Rock Ridge signatures version 1 found
	Rock Ridge id 'RRIP_1991A'
	 50.06% done, estimate finish Tue Mar  8 11:03:54 2011
	 50.16% done, estimate finish Tue Mar  8 11:03:54 2011
	<snip>

  for last session :

 	nwa       : 23594944
 	free blks : 712768
 	result    : 24307712
	Warning: Creating ISO-9660:1999 (version 2) filesystem.
	Warning: ISO-9660 filenames longer than 31 may cause buffer overflows 
in the OS.
	SUSP signatures version 1 found
	Rock Ridge signatures version 1 found
	Rock Ridge id 'RRIP_1991A'
	:-( /dev/sr2: 712768 blocks are free, 2621626 to be written!
	:-! ignoring...
	 90.00% done, estimate finish Tue Mar  8 14:26:13 2011
	 90.02% done, estimate finish Tue Mar  8 14:26:14 2011
	<snip>
   	 92.77% done, estimate finish Tue Mar  8 14:29:49 2011
	:-[ WRITE@LBA=172e800h failed with SK=5h/INVALID ADDRESS FOR WRITE]: 
Invalid argument
	:-( write failed: Invalid argument
	/dev/sr2: flushing cache
	/dev/sr2: closing track

   medium mount's, lacking data from last session

p.p.s:

  By the way, are there any guesses about the error reported closing 
the first session :

   :-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: 
Input/output error

  The net researches gave no clue about that, imho ignoring this error 
seems to be harmless, so maybe it should be suppressed.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:45:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:54:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.